## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
# * resolve dependency loop with ed25519-dalek
%bcond_with check
%global debug_package %{nil}

%global crate ed25519

Name:           rust-ed25519
Version:        1.5.3
Release:        %autorelease
Summary:        Edwards Digital Signature Algorithm

License:        Apache-2.0 OR MIT
URL:            https://crates.io/crates/ed25519
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * disable unused PEM support (pkcs8 crate in Fedora is too old)
Patch:          ed25519-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Edwards Digital Signature Algorithm (EdDSA) over Curve25519 (as
specified in RFC 8032) support library providing signature type
definitions and PKCS#8 private key decoding/encoding support.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde_bytes-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde_bytes-devel %{_description}

This package contains library source intended for building other packages which
use the "serde_bytes" feature of the "%{crate}" crate.

%files       -n %{name}+serde_bytes-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde_bytes_crate-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde_bytes_crate-devel %{_description}

This package contains library source intended for building other packages which
use the "serde_bytes_crate" feature of the "%{crate}" crate.

%files       -n %{name}+serde_bytes_crate-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+zeroize-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+zeroize-devel %{_description}

This package contains library source intended for building other packages which
use the "zeroize" feature of the "%{crate}" crate.

%files       -n %{name}+zeroize-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sun May 14 2023 Fabio Valentini <decathorpe@gmail.com> - 1.5.3-1
- Initial import (#2193407)
